---
schema_version: "1"
id: 181c1c039f2c87ef577039809296c4e7e9f3675372389249507aa3373afb808f
title: Detect Text and Entities in Business Cards
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/einstein-vision-language/einstein/guides/Detect-Text-in-Images/detect-text-in-business-cards.md
canonical_url: https://developer.salesforce.com/docs/analytics/einstein-vision-language/guide/detect-text-in-business-cards.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: ee3f2b0557cb2c2e519c58906235fff96b4ecbb40fcfa5512d07ac13f1e1db82
products:
  - Einstein Vision and Language
  - Einstein Vision and Language Repo
---

# Detect Text and Entities in Business Cards

To return text for a business card, specify a modelId of `OCRModel` and `task` parameter of `contact`. In addition to the text, the model returns the entity type for each text element that it detects.

![BusinessCardOriginal](https://developer.salesforce.com/media/business_card_original.jpeg)

The cURL call looks like this.

```cURL
curl -X POST -H "Authorization: Bearer <TOKEN>" -F sampleLocation="https://www.asianbusinesscards.com/wp-content/uploads/2019/03/chinese-business-card-translation-samples-walmart-890-eng.jpg" -F task="contact" -F modelId="OCRModel" https://api.einstein.ai/v2/vision/ocr
```

![BusinessCardOCRWithCallouts](https://developer.salesforce.com/media/business_card_ocr.png)

The response looks like this JSON.

```json
"tag": "OTHER"
      }
    },
    {
      "probability": 0.9989197,
      "label": "Director Operations and Logistics",
      "boundingBox": {
        "minX": 53,
        "minY": 105,
        "maxX": 466,
        "maxY": 134
      },
      "attributes": {
        "tag": "OTHER",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.9978701,
      "label": "Randy E. Cornwell",
      "boundingBox": {
        "minX": 53,
        "minY": 73,
        "maxX": 297,
        "maxY": 103
      },
      "attributes": {
        "tag": "PERSON",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.99883646,
      "label": "S-1050-06 Headquarters Building",
      "boundingBox": {
        "minX": 55,
        "minY": 384,
        "maxX": 467,
        "maxY": 413
      },
      "attributes": {
        "tag": "OTHER",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.9981871,
      "label": "Houston TX 77042 USA 2881 CityWest Blvd.",
      "boundingBox": {
        "minX": 53,
        "minY": 416,
        "maxX": 350,
        "maxY": 472
      },
      "attributes": {
        "tag": "ADDRESS",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.9984518,
      "label": "284.575.2884",
      "boundingBox": {
        "minX": 547,
        "minY": 384,
        "maxX": 820,
        "maxY": 412
      },
      "attributes": {
        "tag": "PHONE",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.9984518,
      "label": "phone ",
      "boundingBox": {
        "minX": 547,
        "minY": 384,
        "maxX": 820,
        "maxY": 412
      },
      "attributes": {
        "tag": "OTHER",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.9973475,
      "label": "281.889.0997",
      "boundingBox": {
        "minX": 541,
        "minY": 415,
        "maxX": 825,
        "maxY": 439
      },
      "attributes": {
        "tag": "MOBILE_PHONE",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.9973475,
      "label": "mobile ",
      "boundingBox": {
        "minX": 541,
        "minY": 415,
        "maxX": 825,
        "maxY": 439
      },
      "attributes": {
        "tag": "OTHER",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.89205074,
      "label": "re.comwell@phillips86.com",
      "boundingBox": {
        "minX": 478,
        "minY": 444,
        "maxX": 782,
        "maxY": 476
      },
      "attributes": {
        "tag": "EMAIL",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.992919,
      "label": "Phillips",
      "boundingBox": {
        "minX": 692,
        "minY": 79,
        "maxX": 780,
        "maxY": 100
      },
      "attributes": {
        "tag": "OTHER",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.90038645,
      "label": "66",
      "boundingBox": {
        "minX": 693,
        "minY": 113,
        "maxX": 777,
        "maxY": 162
      },
      "attributes": {
        "tag": "OTHER",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.9908977,
      "label": "Phillips66.com",
      "boundingBox": {
        "minX": 53,
        "minY": 198,
        "maxX": 238,
        "maxY": 226
      },
      "attributes": {
        "tag": "WEBSITE",
        "pageNumber": "1"
      }
    },
    {
      "probability": 0.89205074,
      "label": "phillips86",
      "boundingBox": {
        "minX": 630,
        "minY": 444,
        "maxX": 782,
        "maxY": 476
      },
      "attributes": {
        "tag": "ORG",
        "pageNumber": "1"
      }
    }
  ],
  "object": "predictresponse"
}
```
